--- title: "create-file-export" slug: "create-file-export" updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/create-file-export" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # create-file-export Available in VPC Request file export to export a file from a box to a bucket in Object Storage. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/export/create-file-export | ### Request headers For information about the headers common to all Datafence APIs, see [Datafence request headers](/docs/en/datafence-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | Required | Datafence number - See [get-datafence](/docs/en/get-datafence). | | `boxId` | Integer | Required | Box number - See [get-box-list](/docs/en/get-box-list). | | `sourceNasInstanceNo` | Integer | Required | Source NAS instance number - See [get-source-nas-list](/docs/en/get-source-nas-list). | | `sourceFilePathList` | List | Required | List of file names requested for export - Number of files that can be exported simultaneously: 10 - Maximum size per file: 2 GB - File name: Set to {Import number (`fileId`)}_{Source file name (`sourceFilePath`)}. - See [get-import-list](/docs/en/get-import-list). | | `targetBucketName` | String | Required | Target bucket name | | `fileDescription` | String | Required | Description of the export request file - 1-1000 characters | | `exportPurpose` | String | Required | Export purpose - 1-1000 characters | | `description` | String | Required | Description for the export request - 0-50 characters | ### Request example The request example is as follows: ``` curl --location --request POST 'https://datafence.apigw.ntruss.com/api/v1/export/create-file-export' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "fenceId": 26, "boxId": 74, "sourceNasInstanceNo": ********, "sourceFilePathList": ["108_datafence001.csv"], "targetBucketName": "test-bucket-for-fence", "fileDescription": "Test file", "exportPurpose": "File export test", "description": "File export test" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `message` | String | - | API processing result message | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "message": "File export requested." } ```